@import "navbar.css";
@import "buttons.css";
@import "custom_elements.css";

/*		VARS DEPENDENT ON SCREEN WIDTH		*/

@media screen and (min-width: 1500px) {
	:root {
		--main-width: 80%;
		--font-size-base: 24px;
	}
}

@media screen and (max-width: 1499px) {
	:root {
		--main-width: 80%;
		--font-size-base: 20px;
	}
}

@media screen and (max-width: 991px) {
	:root {
		--main-width: 100%;
		--font-size-base: 16px;					
	}
}

/*		Z-INDICES		*/

.navbar-bg {
	z-index: 100;
}

.login-popup {
	z-index: 101;
}

.system-message {
	z-index: 101;
}

.image-viewer {
	z-index: 101;
}

.loader {
	z-index: 200;
}

/*		VARS		*/

:root {
	--border-radius-0: 0.25rem;
	--header-height: 650px;

	--text-color-1: #000000;
	--text-color-2: #FFFFFF;

	--text-color-1-bg: #FFFFFF;
	--text-color-2-bg: #000000;
	
	--primary-color-1: #330033;
	--primary-color-2: #660066;
	--primary-color-3: #2E2532;
	--primary-color-4: #B8B0CC;
	--primary-color-5: #c7bfe0;
	--primary-color-6: #A7A1B9;

	--primary-color-t1: rgba(155, 148, 173, 0.75);
	--primary-color-t2: rgba(155, 148, 173, 0.25);

	--primary-color-6-rgb: 167, 161, 185;

	--signal-color-1: #FBA535;
	--signal-color-2: #ff8800;

	--alert-color-1: #3d1a1a;
	--alert-color-2: #8d3c3c;
	--alert-color-3: #dcb5b5;

	--neutral-color-1: #1a243d;
	--neutral-color-2: #374e86;

	--success-color-1: #263d1a;
	--success-color-2: #4b8d3c;

	--global-shadow-1: 0.25rem 0.25rem 0 0 #4A4A4A;
	--global-shadow-2: 0.25rem 0.25rem 0 0 #999999;
	--global-shadow-3: 0.25rem 0.25rem 0 0 #B5B5B5;
	--global-shadow-4: 0.35rem 0.35rem 0 0 rgba(85, 85, 85, 0.45);
	--global-shadow-4-higher: 0.55rem 0.55rem 0 0 rgba(85, 85, 85, 0.45);

}

/*		ELEMENT GLOBALS		*/

*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html {
	font-size: var(--font-size-base);
	font-family: "Segoe UI", sans-serif;
	scroll-behavior: smooth;
	min-height: 100vh;
	/*
	fix for scrollbar jump forced by async data being displayed
	 */
	overflow-y: scroll;

}

body {
	max-width: 100%;
	background-color: #CCC9DC; /* #F4FAFF; */ 
}

main {
	width: var(--main-width);
	margin: 3rem auto;
}

h1, h2, h3, h4 {
	font-family: Stencil, Bernard MT, "Segoe UI", sans-serif;
	font-weight: 400;
	color: var(--text-color-2);
	background-color:  var(--text-color-2-bg);
	padding: 0.2em 0.35em;
	box-shadow: var(--global-shadow-2);
	transform: translate(-0.25rem, -0.25rem);
}

h1 {
	font-size: 1.75rem;
}

h2 {
	font-size: 1.5rem;
}

h4 {
	font-size: 1.1rem;
	color: var(--primary-color-6);
	background-color: var(--primary-color-3);
	padding: 0.5rem 1rem;
}

h5, h6 {
	display: inline-block;
	font-family: Stencil, Bernard MT, "Segoe UI", sans-serif;
	font-weight: 400;
	box-shadow: var(--global-shadow-4);
}

h5.h--tilt-left {
	transform: rotateZ(-5deg) translate(-1rem, -1rem);

}

h6.h--tilt-left {
	transform: rotateZ(-3deg) translate(-0.5rem, 0.5rem);

}

h5.h--tilt-right {
	float: right;
	transform: rotateZ(3deg) translate(1rem, -1rem);
}

h5 {
	font-size: 1.3em;
	color: var(--primary-color-5);
	background-color:  var(--primary-color-2);
	padding: 0.5em 1.5em;
}

h6 {
	font-size: 0.9rem;
	color: var(--text-color-2);
	background-color: var(--primary-color-3);
	padding: 0.35rem 1rem;
	margin: 0 0.75rem;
	transform: translateY(0.75rem);
}

ul {
	list-style: none;
}

a {
	text-decoration: none;
}

a.link {
	color: var(--primary-color-1);
}

a.link:hover {
	text-decoration: underline;
	color: var(--primary-color-5);
}

input, textarea, select {
	font-family: Consolas, sans-serif;
	line-height: 1.25;
	font-size: 1rem;
	padding: 0.25rem 0.75rem;
	border: 0;
}

input[type="file"] {
	padding: 0;
}

textarea {
	min-height: calc(7em * 1.25);
}

input[type="submit"]:hover, button:hover, summary:hover {
	cursor: pointer;
}

details > summary {
	list-style: none;
	margin-bottom: 1rem;
}

details[open] > summary > h4::before {
	content: "- ";
}

details:not([open]) > summary > h4::before {
	content: "+ ";
}


details:not([open]).cards {
	margin-bottom: 1rem;
}

/*		ELEMENT RELATED		*/

.input.input--full-w {
	width: 100%;
}

.input {
	transition: background-color 0.1s ease-in-out;
	min-width: 50%;
}

.input--alert {
	background-color: var(--alert-color-3);
	background-image: url(../img/icons/missing_input.svg);
	background-position: calc(100% - 0.35em) 0.35em;
	background-size: 1em;
	background-repeat: no-repeat;
}

.header {
	position: relative;
	height: 21rem;
	background-image: url(../img/bg/bg_header.svg);
	background-color: var(--primary-color-3);
	background-position: bottom left;
	background-size: cover;
	background-repeat: no-repeat;
}

/*		VAR TO CLASS		*/

.signal-color-1 {
	color: var(--signal-color-1);
}

.bg-4 {
	background-color: var(--primary-color-4);
}

.bg-t1 {
	background-color: var(--primary-color-t1);
}

/*		GENERAL		*/

.loader {
	position: fixed;
	top: 50vh;
	left: 50vw;
	max-width: 15vw;
	transform: translateX(-50%);
}

.loader img {
	animation: rotate 2s linear infinite;
	max-width: 100%;
}

.clickable:hover {
	cursor: pointer;
}

.flex {
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;
}

.flex-stretch {
	flex: 1;
}

.flex-wrap-50 {
	min-width: 60%;
}

.gap-2 {
	gap: 2rem;
}

.stretch-w {
	width: 100%;
}

.b-gap-1 {
	margin-bottom: 1rem;
}

.b-gap-3 {
	margin-bottom: 3rem;
}

.global-shadow {
	box-shadow: 0.25rem 0.25rem 0 0 #999999;
}

.uppercase {
	text-transform: uppercase;
}

.bold {
	font-weight: 600;
}

.border {
	font-weight: 800;
}

.text-left {
	text-align: left;
}

.text-center {
	text-align: center;
}

.text-right {
	text-align: right;
}

.global-centered {
	text-align: center;
}

/*
	GRID
*/

.cols {
	display: grid;
	gap: 1rem;
}

.cols-no-gap {
	display: grid;
}

.r-0-1 {
	grid-auto-rows: max-content auto;
}

.cell {
	padding: 0.5rem 1rem;
}

.c-1-1 {
	grid-template-columns:  1fr 1fr;
}


.c-1-1-1 {
	grid-template-columns:  repeat(3, 1fr);
}

.c-1-1-1-1 {
	grid-template-columns:  repeat(4, 1fr);
}

.c-1-1-1-1-1 {
	grid-template-columns:  repeat(5, 1fr);
}

.c-0-1 {
	grid-template-columns:  max-content 1fr;
}

.c-1-0 {
	grid-template-columns: 1fr max-content;
}

.c-0-1-0 {
	grid-template-columns:  max-content 1fr max-content;
}

.c-0-0-1 {
	grid-template-columns:  max-content max-content 1fr;
}

.c-0-1-1 {
	grid-template-columns:  max-content 1fr 1fr;
}

.c-0-1-0-0 {
	grid-template-columns:  max-content 1fr repeat(2, max-content);
}

.c-0-1-0-0-0 {
	grid-template-columns:  max-content 1fr repeat(3, max-content);
}

.c-merged-2 {
	grid-column: 1 / span 2;
}

.c-merged-3 {
	grid-column: 1 / span 3;
}

.c-merged-4 {
	grid-column: 1 / span 4;
}

.c-merged-5 {
	grid-column: 1 / span 5;
}

.c-1-1 .c-merged,
.c-0-1 .c-merged {
	grid-column: 1 / span 2;
}

.c-1-1-1 .c-merged,
.c-0-1-0 .c-merged {
	grid-column: 1 / span 3;
}

.c-1-1-1-1 .c-merged,
.c-0-1-0-0 .c-merged {
	grid-column: 1 / span 4;
}

.c-1-1-1-1-1 .c-merged,
.c-0-1-0-0-0 .c-merged {
	grid-column: 1 / span 5;
}

.nl2br {
	white-space: pre-line;
	text-align: left;
}

.nl2br.nl2br-clip-10 {
	max-height: 10rem;
	overflow: hidden;
	position: relative;
	display: inline-block;
}

.nl2br.nl2br-clip-10::before {
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
	pointer-events: none;
	background-image: linear-gradient(to bottom, rgba(var(--primary-color-6-rgb), 0) 0%,  rgba(var(--primary-color-6-rgb), 1) 90.100%);
}

/*				LOGIN				*/

.login-popup {
	position: fixed;
	right: 1rem;
	top: -100%;
	color: var(--text-color-2);
	background-color: var(--primary-color-3);
	box-shadow: var(--global-shadow-1);
	padding: 0.75rem 2.5rem;
	transition: top 0.2s ease-in-out, bottom 0.2s ease-in-out;
}

.login-popup--show {
	top: 1rem;
}

.login-popup div {
	padding: 0.25rem;
}

.login-popup div:last-child {
	display: flex;
	justify-content: space-between;
	margin-top: 0.5rem;
	margin-bottom: 1rem;
}

/*				CARDS				*/

.cards {
	display: grid;
	gap: 1em;
	margin-bottom: 3rem;
}

.cards--single {
	grid-template-columns: 1fr;
}

.cards.cards--dual {
	grid-template-columns: min-content 1fr;
}

.cards.cards--dual-reverse {
	grid-template-columns: 1fr min-content;
}

.cards--dual .card--merged {
	grid-column: 1 / span 2;
}

.card-body.card-last {
	order: 1;
}

.card-body,
.card-body--flyer {
	height: 100%;
	background-color: var(--primary-color-6);
	padding: 1rem;
}

.card-body-flat {
	background-color: var(--primary-color-6);
	padding: 1rem;
}

.card-body--single-left {
	display: grid;
	grid-template-rows: auto min-content;
}

.card-body p,
.card-body-flat p {
	padding: 0.5rem;
}

.card-flyer {
	max-width: 25vw;
	margin: 0 auto;
}

.card-flyer--tiny {
	max-width: 10rem;
}

.card-flyer--mobile {
	max-width: 100%;
}

.card-buttons {
	display: flex;
	gap: 1rem;
	margin-top: 1rem;
}

.comment {
	padding: 1rem;
	background-color: var(--primary-color-6);
}

.comment__date {
	font-size: 0.65em;
	color: var(--primary-color-3);
	border-bottom: 1px solid var(--primary-color-t1);
}

.comment__text {
	white-space: pre-line;
	text-align: left;
	padding: 0.5rem;
}

.flyer-upload-preview {
	max-width: 3rem;
	max-height: 4rem;
	float: left;
	margin-right: 1rem;
}

.image-viewer {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	padding: 1rem;
	background-color: var(--primary-color-3);
}

.image-viewer img.image {
	max-width: 85vw;
	max-height: calc(100vh - 60px - 3rem);
}

.paginator {
	display: flex;
	gap: 0.25rem;
	padding: 0.5rem;
	margin: 0.5rem auto;
	background-color: var(--primary-color-t2);
	justify-content: space-between;
}

.paginator__dots {
	padding-left: 0.5rem;
	padding-right: 0.5rem;
}

.paginator__pages {
	display: flex;
	gap: 0.25rem;
}

.notification-simple {
	font-weight: 600;
	text-align: center;
}

.system-message {
	opacity: 0;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	padding: 1rem 3rem;
	color: var(--text-color-2);
	background-color: var(--primary-color-1);
	white-space: nowrap;
	box-shadow: var(--global-shadow-4);

	transition: opacity 0.2s ease-in-out;
}

.system-message--show {
	opacity: 1;
}

@media screen and (max-width: 991px) {
	/*		Z-INDICES		*/

	.login-popup {
		z-index: 100;
	}

	html {
		width: 100%;

	}
	body {
		height: calc(100vh - 60px);
		background-image: url(../img/bg/bg_app_mobile.svg);
		background-size: cover;
		background-repeat: no-repeat;
		background-attachment: fixed;
	}

	main {
		padding: 60px 1rem 3rem;
	}

	textarea, .input {
		width: 100%;
		font-size: 1.25rem;
	}

	h2 {
		margin-bottom: 1rem;
	}

	h4 {
		font-size: 1.3rem;
	}

	.mobile-block {
		display: block;
	}

	.mobile-grid {
		display: grid;
	}

	.mobile-flex {
		display: flex !important;
		gap: 1rem;
		flex-wrap: wrap;
	}

	.mobile-flex * {
		width: 100%;
	}

	.mobile-order-m-1 {
		order: -1;
	}

	.hidden-mobile {
		display: none;
	}

	.header {
		position: unset;
		height: 0;
	}

	.button--mobile-stretch {
		display: block;
		width: 100%;
		font-size: 1.5rem;
	}

	.login-popup {
		bottom: unset;
		right: unset;
		top: -100%;
		width: 100%;
		font-size: 1.5rem;
		transition: top 0.2s ease-in-out;
	}

	.login-popup.login-popup--show {
		top: 60px;
	}

	.login-popup div {
		padding: 0.5rem;
	}

	.login-popup div:last-child {
		display: block;
		justify-content: space-between;
		margin-top: 0.5rem;
	}

	.login-popup div:last-child :last-child {
		margin-top: 1rem;
	}

	.logo {
		display: none;
	}

	.cards {
		display: block;
	}

	.cards .card-body  {
		margin-top: 1rem;
	}

	.card-body {
		height: unset;
	}

	.card-body--flyer {

		padding: 1rem;
		text-align: center;
	}

	.card-flyer {
		max-width: 100%;
		margin: 0 auto;
	}

	.flyer-upload-preview {
		float: unset;
		max-width: 5rem;
		max-height: 6rem;
		display: block;
		margin: 1rem auto 0;
	}

	.paginator {
		flex-wrap: wrap;
	}

	.paginator__pages {
		flex-grow: 1;
		min-width: 51%;
		justify-content: center;
	}

	.paginator__spacer {
		order: 1;
		flex-grow: 1;
		min-width: 49%;
		text-align: center;
	}

	.paginator__spacer .button {
		width: 100%
	}

}

